#include <stdio.h>
#include "X3dSceneGraph.h"

/* 
   matching white_dune commandline usage:

	dune -prefix Pre_ -c++ file1.x3dv
	dune -prefix Pre_ +c++ Append_ file2.x3dv

*/

void doWithData(Pre_Node *self, void *data) {
    Pre_Text* text = (Pre_Text *) self;
    if (text)
        if (text->string_length > 0)
            printf("%s\n", text->string[0]);
}  

int main(int argc, char** argv) {
    Pre_Text dummy;
    dummy.doWithDataCallback = &doWithData;

    Pre_SceneGraph sceneGraph;
    sceneGraph.doWithData(NULL);

    Append_Pre_SceneGraph sceneGraph2;
    sceneGraph2.doWithData(NULL);
    return 0;
}
