/* 
   matching white_dune commandline usage:

        dune -prefix Pre_ -java file1.x3dv 
        dune -prefix Pre_ +java Append_ file2.x3dv 

*/

class MyTextCallback extends Pre_TextDoWithDataCallback {
   public void doWithData(Pre_Node node) {
      Pre_Text text = (Pre_Text) node; 
      if ((text.string != null) && (text.string.length > 0))
          System.out.println(text.string[0]);
   }   
}

class helloWorld {

    public static void main(String args[]) {
        MyTextCallback myTextCallback = new MyTextCallback();

        Pre_SceneGraph sceneGraph = new Pre_SceneGraph();
        sceneGraph.setPre_TextDoWithDataCallback(myTextCallback);
        sceneGraph.doWithData();

        Append_Pre_SceneGraph sceneGraph2 = new Append_Pre_SceneGraph();
        sceneGraph2.setPre_TextDoWithDataCallback(myTextCallback);
        sceneGraph2.doWithData();
    }
};

